Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tracking.events
Class PurchaseCartEvent

    java.lang.Object
      com.bea.p13n.property.AbstractConfigurableEntity
          com.bea.p13n.events.Event
              com.bea.p13n.tracking.events.TrackingEvent
                  com.bea.commerce.ebusiness.tracking.events.ShoppingEvent
                      com.bea.commerce.ebusiness.tracking.events.PurchaseCartEvent

All Implemented Interfaces
  EventConstants, ConfigurableEntity, Serializable

Deprecated See WLP Commerce product offering

    @Deprecated
    public class PurchaseCartEvent

extends ShoppingEvent

Event for tracking the purchase of an entire shopping cart.

See Also
  Serialized Form

Field Summary
`static String` | `ORDER_ID` Deprecated See WLP Commerce product offering
`static String` | `TOTAL_PRICE` Deprecated See WLP Commerce product offering
`static String` | `TYPE` Deprecated See WLP Commerce product offering

Fields inherited from class com.bea.commerce.ebusiness.tracking.events.ShoppingEvent
`APPLICATION_NAME, CURRENCY, QUANTITY, SKU`

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`REQUEST, SESSION_ID, USER_ID, USER_TYPE`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.bea.p13n.events.EventConstants
`TYPE_ALL`

Constructor Summary
`PurchaseCartEvent(javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest theRequest, Double theTotalPrice, String theOrderId, String aCurrency, String aApplicationName)` Deprecated See WLP Commerce product offering
`PurchaseCartEvent(String theSessionId, String theUserId, javax.servlet.http.HttpServletRequest theRequest, Double theTotalPrice, String theOrderId, String aCurrency, String aApplicationName)` Deprecated

Method Summary

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getSession, getXMLNamespace, getXSDFile, setSchemaKeys, setSession, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### TYPE

    public static final String TYPE

  Deprecated See WLP Commerce product offering
  The event type

  See Also
    Constants Summary

### TOTAL_PRICE

    public static final String TOTAL_PRICE

  Deprecated See WLP Commerce product offering
  Event attribute key name for the total cost of the shopping cart Attribute value is a Double

  See Also
    Constants Summary

### ORDER_ID

    public static final String ORDER_ID

  Deprecated See WLP Commerce product offering
  Order id key Attribute value is a Long

  See Also
    Constants Summary

Constructor Detail

### PurchaseCartEvent

    public PurchaseCartEvent(javax.servlet.http.HttpSession session,
                             javax.servlet.http.HttpServletRequest theRequest,
                             Double theTotalPrice,
                             String theOrderId,
                             String aCurrency,
                             String aApplicationName)

  Deprecated See WLP Commerce product offering

  Create a new PurchaseCartEvent. This ctor must be used to track anonymous users.

  Parameters
    `session` - the http servlet session object
    `theRequest` - the http servlet request object
    `theTotalPrice` - the shopping cart's total price
    `theOrderId` - the order id for the order
    `aCurrency` - the currency (null if unknown)
    `aApplicationName` - application name (aka storefront) (optionally null)

### PurchaseCartEvent

    public PurchaseCartEvent(String theSessionId,
                             String theUserId,
                             javax.servlet.http.HttpServletRequest theRequest,
                             Double theTotalPrice,
                             String theOrderId,
                             String aCurrency,
                             String aApplicationName)

  Deprecated

  Create a new PurchaseCartEvent.

  Parameters
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theRequest` - the http servlet request object
    `theTotalPrice` - the shopping cart's total price
    `theOrderId` - the order id for the order
    `aCurrency` - the currency (null if unknown)
    `aApplicationName` - application name (aka storefront) (optionally null)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.